import sys
from distribute_setup import use_setuptools
use_setuptools()

from setuptools import setup

from vamp import __version__
# from distutils.core import setup

requires = [
    "Cython >= 0.17.4",
    "pybedtools>=0.6",
    "bx-python >= 0.7.1",
    "BioPython >= 1.57"
    ]

if sys.version_info[:2] < (2, 7):
    # For python2.6 we have to require argparse since it
    # was not in stdlib until 2.7.
    requires.append('argparse>=1.1')

setup(
    name='VAMP',
    version=__version__,
    author='Lance Parsons',
    author_email='lparsons@princeton.edu',
    packages=['vamp', 'seq_utils', 'galaxy'],
    scripts=['bin/compare_genomes.py',
             'bin/fastq_to_fasta.py',
             'bin/translate_cds.py',
             'bin/find_contig_deletions.py',
             'bin/gff2gtf_simple.py',
             'bin/maf_net.py',
             'bin/TQSfastq_vamp.py',
             'bin/makePairedOutput2EQUALfiles_vamp.pl',
             'bin/makePairedOutput2UNEQUALfiles_vamp.pl'],
    url='https://bitbucket.org/lance_parsons/vamp/',
    license='LICENSE.txt',
    description='Virus AsseMbly Pipeline.',
    long_description=open('README.txt').read(),
    install_requires=requires
)
